orderstation/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views
# from .views import GeneratePdf

app_name = 'orderstations'

urlpatterns = [
    path('', views.orderstation_view, name='orderstation'),

    # DINE
    path('dine/', views.orderdine_view, name='orderdine'),
    path('dine/<int:tableNo>/<int:waiterID>/', views.viewdine_view, name='viewdine'),
    path('adddineorder/', views.adddineorder_view, name='adddineorder'),
    path('savedineorder/', views.savedineorder_view, name='savedineorder'),
    path('canceldineorder/', views.canceldineorder_view, name='canceldineorder'),

    # TAKEOUT
    path('takeout/<int:waiterID>/', views.ordertakeout_view, name='ordertakeout'),
    path('addordertakeout/', views.addordertakeout_view, name='addordertakeout'),

    path('checkwaiter/', views.checkwaiter_view, name='checkwaiter'),
    path('checkwaitertakeout/', views.checkwaitertakeout_view, name='checkwaitertakeout'),
    path('printorders/<int:tableNo>/<int:waiterID>/', views.printorders_view, name='printorders'),

]

posrestaurant/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('web.urls')),
    path('accounts/', include('accounts.urls')),
    path('restaurants/', include('restaurants.urls')),
    path('orderstations/', include('orderstation.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

web/urls.py
from django.contrib import admin
from django.urls import path
from . import views
from django.views.generic import TemplateView

# app_name='web'
urlpatterns = [
    path('', TemplateView.as_view(template_name='dashboard.html'), name='home'),
    # path('about', views.about, name='about'),
    # path('contact', views.contact, name='contact'),
    # path('properties', views.properties, name='properties'),
    # path('property/detail/<int:property_id>', views.property_detail, name='detail'),
    # path('search', views.search, name='search'),
]

orderstation/models.py
from django.db import models

# Create your models here.

orderstation/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import logout
from django.http import HttpResponseRedirect, Http404, HttpResponse
from core.models import *
from . import views
import datetime
from django.db.models import Sum, Avg
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from django.contrib import messages
from django.utils import timezone
from .utils import render_to_pdf
from django.template.loader import get_template

from django.contrib.auth.decorators import login_required

import os, time

# Create your views here.
# function based view
# ORDERSTATION Section====================================================================================
def orderstation_view(request):
    # try:
    #     checks = SalesTransactionSummary.objects.filter(userID=request.user.id, isVat=1).count()
    # except SalesTransactionSummary.DoesNotExist:
    #     checks = None
    #     raise Http404("No MyModel matches the given query.")
    getlast = TempRestaurantOrderDetail.objects.last()
    print(getlast)
    tables = RestaurantTable.objects.all()
    template='orderstation_dine.html'
    context = {'tables':tables,'getlast':getlast}
    return render(request, template, context)
    # , 'successful_submit': True
# END ORDERSTATION Section=================================================================================


# ORDERSTATION DINE Section================================================================================
def orderdine_view(request):
    # try:
    #     checks = SalesTransactionSummary.objects.filter(userID=request.user.id, isVat=1).count()
    # except SalesTransactionSummary.DoesNotExist:
    #     checks = None
    #     raise Http404("No MyModel matches the given query.")
    tables = RestaurantTable.objects.all()
    template='orderstation_dine.html'
    context = {'tables':tables}
    return render(request, template, context)

def viewdine_view(request, tableNo, waiterID):
    
    getlast = TempRestaurantOrderDetail.objects.last()
    print(getlast)

    tables = RestaurantTable.objects.get(tableNo=tableNo)
    print(tables)

    waiters = Waiter.objects.get(waiterCode=waiterID)
    print(waiters)

    # Fetch all FoodMenu
    menus = FoodMenu.objects.filter(isVat=True)

    # Fetch all FoodCategory
    categories = FoodCategory.objects.filter(isVat=True)

    #Fetch all RestaurantOrderSummary that isVal=True
    countOrderSummaries = RestaurantOrderSummary.objects.count()
    print(countOrderSummaries)

    #Fetch all TempRestaurantOrderSummary that isVal=True
    countTempOrderSummaries = TempRestaurantOrderSummary.objects.count()
    totalTempOrderSummaries = countTempOrderSummaries + 1000

    getOrderDetailsLists = TempRestaurantOrderDetail.objects.filter(referenceNo=totalTempOrderSummaries, tableNo=tables, isVat=True)

    tempOrderDetails = TempRestaurantOrderDetail.objects.filter(referenceNo=totalTempOrderSummaries, tableNo=tables, isVat=True)
    page = request.GET.get('page', 1)

    paginator = Paginator(tempOrderDetails, 10)
    try:
        tempOrderDetailpages = paginator.page(page)
    except PageNotAnInteger:
        tempOrderDetailpages = paginator.page(1)
    except EmptyPage:
        tempOrderDetailpages = paginator.page(paginator.num_pages)
        

    template='ordertable.html'
    context = {'categories':categories,'tables': tables,'waiters': waiters,'tempOrderDetailpages': tempOrderDetailpages,'menus': menus,'totalTempOrderSummaries': totalTempOrderSummaries,'getOrderDetailsLists': getOrderDetailsLists,'getlast':getlast}
    return render(request, template, context)

def adddineorder_view(request):
    if request.method == 'POST':
        refNo           = request.POST.get("refNo") 
        prodcode        = request.POST.get("prodCode") 
        foodDesc        = request.POST.get("foodDesc")  
        foodSellPrice   = request.POST.get("foodSellPrice")  
        tableno         = request.POST.get("tableNo")  
        waiterName         = request.POST.get("waiterName")  
        waiterCode         = request.POST.get("waiterCode")  

        # getqty = float(foodSellPrice) *
        taxrate = 0.12
        subtotal = float(foodSellPrice) / 1.12
        totaltax = subtotal * taxrate

        try:
            getexists = TempRestaurantOrderDetail.objects.filter(referenceNo=refNo, productCode=prodcode, tableNo=tableno, isVat=True, isCancelled=False)
        except TempRestaurantOrderDetail.DoesNotExist:
            getexists = None
            raise Http404("No MyModel matches the given query.")
        print(getexists)
        if not getexists:
            print('wal walawalalala')
            saveTempRestaurantOrderDetail = TempRestaurantOrderDetail(
                referenceNo=refNo,
                productCode=prodcode,
                branchCode=888,
                description=foodDesc,
                sellingPrice=foodSellPrice,
                qtySold=1,
                unitMeasure='kg',
                taxRate=taxrate,
                taxTotal=totaltax,
                subTotal=subtotal,
                processedBy=waiterName,
                totalAmount=foodSellPrice,
                status='Pending',
                tableNo=tableno
            )
            saveTempRestaurantOrderDetail.save()
        if getexists:
            for getexist in getexists:
                print('naaaaaaaaaaaa')
                print(getexist)
                getqty = float(getexist.qtySold) + 1
                gettotal = float(getexist.sellingPrice) * getqty
                updatesubtotal = float(gettotal) / 1.12
                updatetotaltax = updatesubtotal * taxrate

                TempRestaurantOrderDetail.objects.filter(referenceNo=refNo, productCode=prodcode, tableNo=tableno, isVat=True, isCancelled=False).update(qtySold=getqty, totalAmount=gettotal, taxTotal=updatetotaltax, subTotal=updatesubtotal)
    
    return HttpResponseRedirect('/orderstations/dine/'+tableno+'/'+waiterCode)

def savedineorder_view(request):
    if request.method == 'POST':
        refno           = request.POST.get("refNo")  
        tableno         = request.POST.get("tableNo")  
        waiterName         = request.POST.get("waiterName")  
        waiterCode         = request.POST.get("waiterCode")  
        print(refno)
        print(tableno)
        print(waiterName)
        print(waiterCode)
        # getOrderDetailsinfos = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True)[:1].get()
        # print(getOrderDetailsinfos.referenceNo)try:
        try:
            getOrderDetailExists = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True)
        except TempRestaurantOrderDetail.DoesNotExist:
            getOrderDetailExists = None
            raise Http404("No MyModel matches the given query.")

        print(getOrderDetailExists)

        if not getOrderDetailExists:
            messages.warning(request, 'Make sure the Order List Table is not Empty to proceed this Order.')
            return HttpResponseRedirect('/orderstations/dine/'+tableno+'/'+waiterCode)
        else:
            getOrderSummaryinfos =  TempRestaurantOrderSummary.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True)

            if getOrderSummaryinfos.exists():
                return HttpResponseRedirect('/orderstations/dine/'+tableno+'/'+waiterCode)
            else:
                # For totalItem
                gettotalItem = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True).aggregate(sum=Sum('qtySold'))['sum']
                print(gettotalItem)

                # For totalSellingPrice
                gettotalSellingPrice = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True).aggregate(sum=Sum('totalAmount'))['sum']
                print(gettotalSellingPrice)

                # For totalTax
                if not gettotalSellingPrice:
                    gettotalSellingPrice = 0
                totalVATsale = float(gettotalSellingPrice) / 1.12
                totalVAT = totalVATsale * 0.12
                print(totalVAT)

                # For totalQty
                gettotalQty = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True).aggregate(sum=Sum('qtySold'))['sum']
                print(gettotalQty)

                # For totalSubTotal
                gettotalSubTotal = float(gettotalSellingPrice) - float(totalVAT)
                print(gettotalSubTotal)

                # For totalAmount
                print(gettotalSellingPrice)

                # For totalVATSale
                print(totalVATsale)

                # For status
                print('Pending')

                # For tableNo
                print(tableno)

                # For orderType
                print('DINE-IN')

                saveTempRestaurantOrderSummary = TempRestaurantOrderSummary(
                            referenceNo=refno,
                            totalItem=gettotalItem,
                            totalSellingPrice=gettotalSellingPrice,
                            totalTax=totalVAT,
                            totalQty=gettotalQty,
                            subTotal=gettotalSubTotal,
                            totalAmount=gettotalSellingPrice,
                            totalVATSale=totalVATsale,
                            preparedBy=waiterName,
                            status='Pending',
                            tableNo=tableno,
                            orderType='DINE-IN'
                        )
                saveTempRestaurantOrderSummary.save()
                RestaurantTable.objects.filter(tableNo=tableno, isVat=False).update(tableStatus='Occupied', isVat=True)
    # return redirect('orderstations:orderstation')
    return HttpResponseRedirect('/orderstations/printorders/'+tableno+'/'+waiterCode)

def canceldineorder_view(request):

orderstation/templates/includes/_nav_orderstation.html
<ul class="nav nav-tabs nav-justified" style="display: none;">
    <li role="presentation"><a href="{% url 'orderstations:orderdine' %}"><i class="fa fa-fw fa fa-inbox"></i> DINE IN</a></li>
    <li role="presentation"><a href="#modal-takeorder" class="takeorder" data-toggle="modal"></i> TAKE OUT</a></li>
</ul>
        
<div class="modal fade" id="modal-takeorder">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="text-center text-bold">ORDER STATION</h3>
            </div>
            <form class="site-form" action="{% url 'orderstations:checkwaitertakeout' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                        <div class="box-body">
                                <div id='calc-contain'>
                                            <input type="password" name="answer" />
                                            <br>
                                            
                                            <input type="button" value=" 1 " onclick="answer.value += '1'" />
                                            <input type="button" value=" 2 " onclick="answer.value += '2'" />
                                            <input type="button" value=" 3 " onclick="answer.value += '3'" />
                    

                                            <input type="button" value=" 4 " onclick="answer.value += '4'" />
                                            <input type="button" value=" 5 " onclick="answer.value += '5'" />
                                            <input type="button" value=" 6 " onclick="answer.value += '6'" />
                    

                                            <input type="button" value=" 7 " onclick="answer.value += '7'" />
                                            <input type="button" value=" 8 " onclick="answer.value += '8'" />
                                            <input type="button" value=" 9 " onclick="answer.value += '9'" />
                    

                                            <input type="button" value=" clear " onclick="answer.value = ''" />
                                            <input type="button" value=" 0 " onclick="answer.value += '0'" />
                                            <input type="submit" class="submit" value="Submit"></input>
                                            </br>
                                
                                        <!-- <div id="agh">
                                            <p>Adrian Gheorghe Calc
                                        </div> -->
                                        </div>
                        </div>
                </div>
                <!-- <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                    <input type="submit" class="btn btn-primary" value="Submit"></input>
                </div> -->
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->